-- Stats
CREATE TABLE IF NOT EXISTS `{table_player_stats}`
(
    `player_uuid`
        CHAR (36)
        COLLATE BINARY
        NOT NULL,
    `key` VARCHAR (50)
        COLLATE BINARY
        NOT NULL,
    `value`
        DECIMAL (20, 5)
        NOT NULL
);
CREATE INDEX IF NOT EXISTS `player_index` ON `{table_player_stats}` (`player_uuid`);
CREATE INDEX IF NOT EXISTS `ranking_index_key` ON `{table_player_stats}` (`key`);
CREATE INDEX IF NOT EXISTS `ranking_index` ON `{table_player_stats}` (`key`, `value`);

CREATE TABLE IF NOT EXISTS `{table_sets}`
(
    `key` VARCHAR (50)
    COLLATE BINARY
    NOT NULL
);

-- Names
CREATE TABLE IF NOT EXISTS `{table_player_info}`
(
    `player_uuid`
        CHAR (36)
        COLLATE BINARY
        NOT NULL,
    `username` VARCHAR (16)
        COLLATE NOCASE
        DEFAULT NULL,
    PRIMARY KEY(`player_uuid`)
);

CREATE INDEX IF NOT EXISTS `player_index` ON `{table_player_info}` (`player_uuid`);
CREATE INDEX IF NOT EXISTS `username_index` ON `{table_player_info}` (`username`);

ANALYZE; -- Greatly improves performance